﻿#region "Copyright (C) Lenny Granovsky. 2005-2013"
//This program is free software distribute under the terms of the GNU General Public License as published by
//the Free Software Foundation. Please read AssemblyInfo.cs file for more information.
#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Web.Enhancements.Rest.Templates
{
    [Serializable()]
    public enum JavaScriptTemplateType
    {
        /// <summary>
        /// Javascript alert. This template requires no parameters.
        /// </summary>
        BasicAlert,
        /// <summary>
        /// This template populates DIV element by its id with HTML content received from server. 
        /// This template requires one parameter - DIV element ID.
        /// </summary>
        PopulateDivWithHtml
    }
}
