#region "Copyright (C) Lenny Granovsky. 2005-2013"
//This program is free software distribute under the terms of the GNU General Public License as published by
//the Free Software Foundation. Please read AssemblyInfo.cs file for more information.
#endregion

using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;
using System.Collections.Specialized;
using System.Xml;
using System.Security.Cryptography;
using System.Web;

namespace Web.Enhancements.Rest
{
    [Serializable()]
    internal class WebRestConfigHandler : IConfigurationSectionHandler
    {
        public WebRestConfigHandler()
		{
		}

		public object Create(object parent, object configContext, System.Xml.XmlNode section) 
		{
			XmlElement root = (XmlElement)section;
			return new WebRestSettings(root);
		}
	}
}
